io.swagger.client

## Class ProgressResponseBody

- java.lang.Object
- - com.squareup.okhttp.ResponseBody
  - - io.swagger.client.ProgressResponseBody

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class ProgressResponseBody
      extends com.squareup.okhttp.ResponseBody

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ProgressResponseBody.ProgressListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressResponseBody(com.squareup.okhttp.ResponseBody responseBody, ProgressResponseBody.ProgressListener progressListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `contentLength()`
    `com.squareup.okhttp.MediaType` | `contentType()`
    `okio.BufferedSource` | `source()`

    - ### Methods inherited from class com.squareup.okhttp.ResponseBody

      `bytes, byteStream, charStream, close, create, create, create, string`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressResponseBody

          public ProgressResponseBody(com.squareup.okhttp.ResponseBody responseBody,
                                      ProgressResponseBody.ProgressListener progressListener)

  - ### Method Detail

    - #### contentType

          public com.squareup.okhttp.MediaType contentType()

      Specified by:
        `contentType` in class `com.squareup.okhttp.ResponseBody`

    - #### contentLength

          public long contentLength()
                             throws IOException

      Specified by:
        `contentLength` in class `com.squareup.okhttp.ResponseBody`
      Throws:
        `IOException`

    - #### source

          public okio.BufferedSource source()
                                     throws IOException

      Specified by:
        `source` in class `com.squareup.okhttp.ResponseBody`
      Throws:
        `IOException`

Copyright © 2018. All rights reserved.